#
# spec file for package kemistry (Version 0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --nosuseupdate --kde2
Name:         kemistry
Copyright:    GPL
Group:        X11/KDE/Science
Summary:      molecular weight and elemental composition calculator
Version:      0.2
Release:      250
Source0:      kemistry-0.2.tar.bz2
Patch0: kemistry-0.2.dif

%description
KMolCalc is a molecular weight and elemental composition calculator.
Given a string which represents a chemical formula, KMolCalc computes
molecular weight and elemental composition.

Authors:
--------
    Francesco Bresciani <fbresciani@users.sourceforge.net>

SuSE series: k2de

%prep
%setup -n kemistry
%patch -p 0 -E

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc README AUTHORS INSTALL COPYING 
%dir /opt/kde2/include/libkemistry
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Utilities
%dir /opt/kde2/share/apps/kemistry
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/16x16/mimetypes
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/icons/locolor/32x32/mimetypes
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/it
%dir /opt/kde2/share/locale/it/LC_MESSAGES
%dir /opt/kde2/share/mimelnk/chemical
/opt/kde2/bin/kmolcalc
/opt/kde2/include/libkemistry/bitvec.h
/opt/kde2/include/libkemistry/chiral.h
/opt/kde2/include/libkemistry/cml.h
/opt/kde2/include/libkemistry/data.h
/opt/kde2/include/libkemistry/fileio.h
/opt/kde2/include/libkemistry/kemistry_exceptions.h
/opt/kde2/include/libkemistry/matrix.h
/opt/kde2/include/libkemistry/mdl.h
/opt/kde2/include/libkemistry/mmcalceditor.h
/opt/kde2/include/libkemistry/mmcalceditor_base.h
/opt/kde2/include/libkemistry/mmcalceditor_dlg.h
/opt/kde2/include/libkemistry/mmcalcobjects.h
/opt/kde2/include/libkemistry/mmcalcparser.h
/opt/kde2/include/libkemistry/mmcalcwidget.h
/opt/kde2/include/libkemistry/mmcalcwidget_base.h
/opt/kde2/include/libkemistry/mol.h
/opt/kde2/include/libkemistry/molchrg.h
/opt/kde2/include/libkemistry/parsmart.h
/opt/kde2/include/libkemistry/pdb.h
/opt/kde2/include/libkemistry/random.h
/opt/kde2/include/libkemistry/ring.h
/opt/kde2/include/libkemistry/smi.h
/opt/kde2/include/libkemistry/smiles.h
/opt/kde2/include/libkemistry/stopwatch.h
/opt/kde2/include/libkemistry/typer.h
/opt/kde2/include/libkemistry/util.h
/opt/kde2/include/libkemistry/vector.h
/opt/kde2/include/libkemistry/xyz.h
/opt/kde2/lib/libkemistry.la
/opt/kde2/lib/libkemistry.so
/opt/kde2/lib/libkemistry.so.0
/opt/kde2/lib/libkemistry.so.0.2.0
/opt/kde2/lib/libkemistry_cml.la
/opt/kde2/lib/libkemistry_cml.so
/opt/kde2/lib/libkemistry_mdl.la
/opt/kde2/lib/libkemistry_mdl.so
/opt/kde2/lib/libkemistry_pdb.la
/opt/kde2/lib/libkemistry_pdb.so
/opt/kde2/lib/libkemistry_smi.la
/opt/kde2/lib/libkemistry_smi.so
/opt/kde2/lib/libkemistry_xyz.la
/opt/kde2/lib/libkemistry_xyz.so
/opt/kde2/share/applnk/Utilities/kmolcalc.desktop
/opt/kde2/share/apps/kemistry/aromatic.txt
/opt/kde2/share/apps/kemistry/atomtyp.txt
/opt/kde2/share/apps/kemistry/cml.dtd
/opt/kde2/share/apps/kemistry/element.txt
/opt/kde2/share/apps/kemistry/ent.io
/opt/kde2/share/apps/kemistry/mdl.io
/opt/kde2/share/apps/kemistry/mmcalc.dtd
/opt/kde2/share/apps/kemistry/mmcalc_data.xml
/opt/kde2/share/apps/kemistry/mol.io
/opt/kde2/share/apps/kemistry/pdb.io
/opt/kde2/share/apps/kemistry/resdata.txt
/opt/kde2/share/apps/kemistry/sdf.io
/opt/kde2/share/apps/kemistry/smi.io
/opt/kde2/share/apps/kemistry/types.txt
/opt/kde2/share/apps/kemistry/xyz.io
/opt/kde2/share/icons/locolor/16x16/apps/kmolcalc.png
/opt/kde2/share/icons/locolor/16x16/mimetypes/kemistry.png
/opt/kde2/share/icons/locolor/32x32/apps/kmolcalc.png
/opt/kde2/share/icons/locolor/32x32/mimetypes/kemistry.png
/opt/kde2/share/locale/it/LC_MESSAGES/kmolcalc.mo
/opt/kde2/share/locale/it/LC_MESSAGES/libkemistry.mo
/opt/kde2/share/mimelnk/chemical/x-cml.desktop
/opt/kde2/share/mimelnk/chemical/x-kdrawstruct.desktop
/opt/kde2/share/mimelnk/chemical/x-mol.desktop
/opt/kde2/share/mimelnk/chemical/x-pdb.desktop
/opt/kde2/share/mimelnk/chemical/x-xyz.desktop

%changelog -n kemistry
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50 ready
- unable to build docu until kdelibs 2.2
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Mon Feb 19 2001 - adrian@suse.de
- Spec file created from kemistry-0.2.tar.bz2 by autospec
